## Description

Please include a summary of the change and which issue is fixed. List any dependencies that are required for this change.
If there are any UI change, please include the screenshots also.

If your changes fixes an issue, please include its number using the following line. (Does not apply for translation)

Fixes #(issue)

## Type of change
Just put an x in the [] which are valid.
- [ ] Translation Contribution (non-breaking change which only adds or updates the translation to a language)
- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)

# How Has This Been Tested?

Please describe the tests that you ran to verify your changes.
- [ ] `./gradlew assembleDebug assembleRelease`
- [ ] `./gradlew checkstyle`

# Checklist:
- [ ] My code follows the style guidelines of this project
- [ ] I have performed a self-review of my own code
- [ ] I have commented my code, particularly in hard-to-understand areas
- [ ] I have made corresponding changes to the documentation
- [ ] My changes generate no new warnings

# License:
- [X] I hereby declare that all my contributions to this project is licensed using the [GPL Version 3 License](https://github.com/ctodobom/OpenNoteScanner/blob/master/GPLv3.TXT) unless specified directly on source files
